Package org.apache.storm.container.cgroup.core

# Enum Class BlkioCore.RecordType

java.lang.Object
java.lang.Enum<BlkioCore.RecordType>
org.apache.storm.container.cgroup.core.BlkioCore.RecordType

All Implemented Interfaces:
  `Serializable`, `Comparable<BlkioCore.RecordType>`, `Constable`

Enclosing class:
  BlkioCore

public static enum BlkioCore.RecordType extends Enum<BlkioCore.RecordType>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `async`
  `read`
  `sync`
  `total`
  `write`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static BlkioCore.RecordType`
  `getType(String type)`
  `static BlkioCore.RecordType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static BlkioCore.RecordType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### read

    public static final BlkioCore.RecordType read

  - ### write

    public static final BlkioCore.RecordType write

  - ### sync

    public static final BlkioCore.RecordType sync

  - ### async

    public static final BlkioCore.RecordType async

  - ### total

    public static final BlkioCore.RecordType total

- ## Method Details

  - ### values

    public static BlkioCore.RecordType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static BlkioCore.RecordType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getType

    public static BlkioCore.RecordType getType(String type)